Bug 245018 - www/youtube_dl Update to 2020.03.24
Summary: www/youtube_dl Update to 2020.03.24
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-23 22:52 UTC by Greg Fitzgerald
Modified: 2020-03-28 09:42 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (araujo)


Attachments
youtube_dl.diff (962 bytes, patch)
2020-03-23 22:52 UTC, Greg Fitzgerald
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Fitzgerald 2020-03-23 22:52:55 UTC
Created attachment 212659 [details]
youtube_dl.diff

The port was four version behind, this fixes a bunch of bugs. I am including the changelog for those four version that got missed.


youtube-dl 2020.03.24

@dstftw dstftw released this 3 hours ago

Core

    [utils] Revert support for cookie files with spaces used instead of tabs

Extractors

    [teachable] Update upskillcourses and gns3 domains
    [generic] Look for teachable embeds before wistia

    [teachable] Extract chapter metadata (#24421)
    [bilibili] Add support for player.bilibili.com (#24402)
    [bilibili] Add support for new URL schema with BV ids (#24439, #24442)

    [limelight] Remove disabled API requests (#24255)
    [soundcloud] Fix download URL extraction (#24394)

    [cbc:watch] Add support for authentication (#19160)

    [hellporno] Fix extraction (#24399)
    [xtube] Fix formats extraction (#24348)
    [ndr] Fix extraction (#24326)
    [nhk] Update m3u8 URL and use native HLS downloader (#24329)

    [nhk] Remove obsolete rtmp formats (#24329)

    [nhk] Relax URL regular expression (#24329)

    [vimeo] Revert fix showcase password protected video extraction (#24224)



youtube-dl 2020.03.08

@dstftw dstftw released this 15 days ago · 24 commits to master since this release

Core

    [utils] Add support for cookie files with spaces

Extractors

    [pornhub] Add support for pornhubpremium.com (#24288)

    [youtube] Remove outdated code and unnecessary requests

    [youtube] Improve extraction in 429 HTTP error conditions (#24283)
    [nhk] Update API version (#24270)



youtube-dl 2020.03.06

@dstftw dstftw released this 18 days ago · 33 commits to master since this release

Extractors

    [youtube] Fix age-gated videos support without login (#24248)
    [vimeo] Fix showcase password protected video extraction (#24224)
    [pornhub] Improve title extraction (#24184)
    [peertube] Improve extraction (#23657)

    [servus] Add support for new URL schema (#23475, #23583, #24142)

    [vimeo] Fix subtitles URLs (#24209)



youtube-dl 2020.03.01

@dstftw dstftw released this 22 days ago · 44 commits to master since this release

Core

    [YoutubeDL] Force redirect URL to unicode on python 2

    [options] Remove duplicate short option -v for --version (#24162)

Extractors

    [xhamster] Fix extraction (#24205)
    [franceculture] Fix extraction (#24204)

    [telecinco] Add support for article opening videos

    [telecinco] Fix extraction (#24195)
    [xtube] Fix metadata extraction (#21073, #22455)
    [youjizz] Fix extraction (#24181)

    Remove no longer needed compat_str around geturl

    [pornhd] Fix extraction (#24128)

    [teachable] Add support for multiple videos per lecture (#24101)
    [wistia] Add support for multiple generic embeds (#8347, 11385)

    [imdb] Fix extraction (#23443)
    [tv2dk:bornholm:play] Fix extraction (#24076)
Comment 1 daniel.engberg.lists 2020-03-28 09:42:26 UTC
Can confirm working as expected